%
function y = CPHM(A)
% Process Hazard Matrx
% This programm define the process Hazard Matrix with combination (CPHM)
% the hazard between processes
%
% A is the matrix with 
% A(:,1) : the column with processes
% A(:,2) : the column with the Process Hazard
%A=[1 0
%  2 2
%  3 2]
%   4 3
%   5 0
%   6 1
%   7 2
%   8 3]
%
 B=transpose(A);
%
[n1CPHM,m1CPHM]=size(A);
C=ones(n1CPHM); 
for i1CPHM=1:n1CPHM
    for j1CPHM=1:n1CPHM
            if i1CPHM==j1CPHM
            C(i1CPHM,j1CPHM)=0;
            elseif (A(i1CPHM,2)==0.0 & B(2,j1CPHM)==0.0)
            C(i1CPHM,j1CPHM)=0.0;
            elseif (A(i1CPHM,2)==0.0 & B(2,j1CPHM)==1.0)
            C(i1CPHM,j1CPHM)=100.0;
            elseif (A(i1CPHM,2)==0.0 & B(2,j1CPHM)==2.0)
            C(i1CPHM,j1CPHM)=200.0;
            elseif (A(i1CPHM,2)==0.0 & B(2,j1CPHM)==3.0)
            C(i1CPHM,j1CPHM)=300.0;
            elseif (A(i1CPHM,2)==1.0 & B(2,j1CPHM)==0.0)
            C(i1CPHM,j1CPHM)=100.0;
            elseif (A(i1CPHM,2)==1.0 & B(2,j1CPHM)==1.0)
            C(i1CPHM,j1CPHM)=250.0;
            elseif (A(i1CPHM,2)==1.0 & B(2,j1CPHM)==2.0)
            C(i1CPHM,j1CPHM)=500.0;
            elseif (A(i1CPHM,2)==1.0 & B(2,j1CPHM)==3.0)
            C(i1CPHM,j1CPHM)=1500.0;
            elseif (A(i1CPHM,2)==2.0 & B(2,j1CPHM)==0.0)
            C(i1CPHM,j1CPHM)=200.0;
            elseif (A(i1CPHM,2)==2.0 & B(2,j1CPHM)==1.0)
            C(i1CPHM,j1CPHM)=500.0;
            elseif (A(i1CPHM,2)==2.0 & B(2,j1CPHM)==2.0)
            C(i1CPHM,j1CPHM)=2000.0;
            elseif (A(i1CPHM,2)==2.0 & B(2,j1CPHM)==3.0)
            C(i1CPHM,j1CPHM)=3000.0;
            elseif (A(i1CPHM,2)==3.0 & B(2,j1CPHM)==0.0)
            C(i1CPHM,j1CPHM)=300.0;
            elseif (A(i1CPHM,2)==3.0 & B(2,j1CPHM)==1.0)
            C(i1CPHM,j1CPHM)=1500.0;
            elseif (A(i1CPHM,2)==3.0 & B(2,j1CPHM)==2.0)
            C(i1CPHM,j1CPHM)=3000.0;
            elseif (A(i1CPHM,2)==3.0 & B(2,j1CPHM)==3.0)
            C(i1CPHM,j1CPHM)=4000.0;
            end
    end
end
    y=C;
    